Bug 1347117 - Spacing should be changed to fit the dashboard in 1920x1080 resolution
Summary: Spacing should be changed to fit the dashboard in 1920x1080 resolution
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine-dashboard
Classification: oVirt
Component: Core
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ovirt-4.0.2
: 1.0.2
Assignee: Greg Sheremeta
QA Contact: Petr Matyáš
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-16 05:44 UTC by Oved Ourfali
Modified: 2016-08-12 14:31 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-12 14:31:30 UTC
oVirt Team: UX
rule-engine: ovirt-4.0.z+
rule-engine: exception+
mgoldboi: planning_ack+
oourfali: devel_ack+
lsvaty: testing_ack+


Attachments (Terms of Use)
best effort - firefox no menu (175.48 KB, image/png)
2016-07-27 13:08 UTC, Greg Sheremeta
no flags Details
best effort - firefox menu (177.63 KB, image/png)
2016-07-27 13:08 UTC, Greg Sheremeta
no flags Details
fixed - chrome (162.80 KB, image/png)
2016-07-27 13:08 UTC, Greg Sheremeta
no flags Details


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 61438 0 None None None 2016-07-26 22:25:31 UTC
oVirt gerrit 61543 0 None None None 2016-07-27 13:56:49 UTC

Description Oved Ourfali 2016-06-16 05:44:03 UTC
Description of problem:
Currently you need to scroll down in order to see the heatmaps.
Spacing should be changed to fit the entire dashboard in 1920x1080 resolution

Comment 1 Oved Ourfali 2016-06-16 05:44:48 UTC
Serena - can you provide guidelines for this one?

Comment 2 Greg Sheremeta 2016-06-20 19:38:37 UTC
This is a difficult problem because the amount of vertical height available will vary based on the user's OS, toolbar, bookmarks bar visibility, etc.

Just checking it in my browsers, the dashboard gets cut off by 110px in Firefox and 50px in Chrome. The only real difference between them is that Firefox has a window title bar and tabs -- Chrome only has tabs.

Is there anything in the dashboard's design to account for this?

Comment 3 Greg Sheremeta 2016-07-08 16:16:11 UTC
I talked with Serena and got a gap list document that describes the guidelines for fixing this.

Comment 4 Greg Sheremeta 2016-07-26 22:25:31 UTC
I did the best I could. In Chrome on Linux in my minimal Gnome UI (Cinnamon), the whole dashboard fits perfectly. In Firefox without the File menu, it's really close. With the file menu, eh.

Comment 5 Greg Sheremeta 2016-07-27 13:08:01 UTC
Created attachment 1184652 [details]
best effort - firefox no menu

Comment 6 Greg Sheremeta 2016-07-27 13:08:21 UTC
Created attachment 1184653 [details]
best effort - firefox menu

Comment 7 Greg Sheremeta 2016-07-27 13:08:53 UTC
Created attachment 1184654 [details]
fixed - chrome

Comment 10 Petr Matyáš 2016-08-05 12:06:11 UTC
Verified on 4.0.2-6


Note You need to log in before you can comment on or make changes to this bug.